org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryReceivingOperation<T>

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<T>

All Implemented Interfaces:
  ISvnObjectReceiver<T>, ISvnOperationOptionsProvider

Direct Known Subclasses:
  SvnRepositoryCopyRevisionProperties, SvnRepositoryDump, SvnRepositoryGetChanged, SvnRepositoryGetChangedDirectories, SvnRepositoryGetHistory, SvnRepositoryGetTree, SvnRepositoryListLocks, SvnRepositoryListTransactions, SvnRepositoryLoad, SvnRepositoryPack, SvnRepositoryRecover, SvnRepositoryRemoveLocks, SvnRepositoryRemoveTransactions, SvnRepositoryUpgrade, SvnRepositoryVerify

    public abstract class SvnRepositoryReceivingOperation<T>
    extends SvnReceivingOperation<T>

### Constructor Summary

Constructors
`protected` `SvnRepositoryReceivingOperation(SvnOperationFactory factory)`

### Method Summary

Methods
`java.io.File` `getRepositoryRoot()`
`void` `setRepositoryRoot(java.io.File repositoryRoot)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryReceivingOperation

    protected SvnRepositoryReceivingOperation(SvnOperationFactory factory)

### Method Detail

#### setRepositoryRoot

    public void setRepositoryRoot(java.io.File repositoryRoot)

#### getRepositoryRoot

    public java.io.File getRepositoryRoot()